.\"	$NetBSD: boot.8,v 1.13 2003/05/03 23:15:31 wiz Exp $
.\"
.\" Copyright (c) 1992, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)boot_sparc.8	8.2 (Berkeley) 4/19/94
.\"
.Dd April 8, 2003
.Dt BOOT 8 sun3
.Os
.Sh NAME
.Nm boot
.Nd system bootstrapping procedures
.\" .Sh SYNOPSIS
.\" .Nm reboot
.\" .Op Fl n
.\" .Op Fl q
.\" .Oo
.\" .Ar -- <boot string>
.\" .Oc
.Sh DESCRIPTION
.Ss Power fail and crash recovery
Normally, the system will reboot itself at power-up or after crashes.
An automatic consistency check of the file systems will be performed
as described in
.Xr fsck 8 ,
and unless this fails, the system will resume multi-user operations.
.Ss Cold starts
A disk-boot program
.Pa ( /usr/mdec/ufsboot )
will attempt to load
.Pa netbsd
from partition A of the boot device,
which must currently be an
.Dq sd
disk.
Alternatively, network boot program
.Pa ( /usr/mdec/netboot )
will load
.Pa netbsd
from the NFS root as determined by the procedure described in
.Xr diskless 8 .
.Ss Boot program options
.Bl -tag -width xxx
.It Fl a
Prompt for the root file system device, the system crash dump
device, and the path to
.Xr init 8 .
.It Fl d
Bring the system up in debug mode.
Here it waits for a kernel debugger connect; see
.Xr ddb 4 .
.It Fl q
Boot the system in quiet mode.
.It Fl s
Bring the system up in single-user mode.
.It Fl v
Boot the system in verbose mode.
.El
.Pp
Any extra flags or arguments, or the
.Aq Ar boot string
after the -- separator are passed to the boot PROM.
Other flags are currently ignored.
.Pp
At any time you can break back to the ROM by pressing the
.Sq L1
and
.Sq a
keys at the same time (if the console is a serial port the same is
achieved by sending a
.Sq break ) .
If you do this accidentally you can continue whatever was in progress
by typing
.Sq c
followed by the return key.
.Sh FILES
.Bl -tag -width /usr/mdec/installboot -compact
.It Pa /netbsd
system code
.It Pa /usr/mdec/bootxx
first-level boot block for disks
.It Pa /usr/mdec/netboot
boot program for NFS (diskless) boot
.It Pa /usr/mdec/ufsboot
second-level boot program for UFS disks
.It Pa /usr/mdec/installboot
program to install bootxx on a disk
.El
.Sh SEE ALSO
.Xr disklabel 8 ,
.Xr fsck 8 ,
.Xr halt 8 ,
.Xr init 8 ,
.Xr rc 8 ,
.Xr shutdown 8 ,
.Xr syslogd 8
